Name:           python-django-jalali
Version:        7.4.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Jalali Date support for Django model and admin interface

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            http://github.com/slashmili/django-jalali
Source:         %{pypi_source django_jalali}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'django-jalali' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-django-jalali
Summary:        %{summary}

%description -n python3-django-jalali %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-django-jalali drf


%prep
%autosetup -p1 -n django_jalali-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x drf


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-django-jalali -f %{pyproject_files}


%changelog
%autochangelog